What You Can Do With Home Page Maker

Home Page Maker is an FTP application that makes it easy to upload or update home pages on a host (your own folder on the Internet), using HTML albums created with PictureGear.
  • You can create a top page based on ready-to-use designs, and you can also modify the design by specifying various details such as the image file to be used and the color settings.
  • To guard against possible server problems, you can create backups of the home page data uploaded to the host. This lets you quickly restore your home page contents by simply re-uploading the backup.


Starting Home Page Maker

There are two ways to start the application.

From Album Maker

This method lets you immediately add an HTML album created with Album Maker to your home page
    Click Send in the PictureGear Album Maker dialog box of PictureGear.
    The Transfer the album dialog box appears, and the album is ready for uploading. When Home Page Maker is used for the first time, the Home page-New dialog box appears.

From Start Menu

This allows uploading an already created HTML Album or managing an existing home page.
    Click the Start button on the task bar, and select Programs -- PictureGear 5.0 -- Home Page Maker.
    Home Page Maker starts up and the Home Page Maker dialog box appears.

    • Home Page List
      Shows the names, URL, and total number of albums for created home pages.
    • Backup and Restore...
      After selecting a home page from the Home Page list, clicking here brings up the Backup and Restore dialog box, allowing you to back up or restore created home pages.
    • Add and Delete the album...
      After selecting a home page from the Home Page list, clicking here brings up the Add and Delete the album... dialog box, allowing you to upload an album to an existing home page or to delete an album from an existing home page.
    • Album Management...
      Clicking here brings up the Album Management dialog box, allowing you register HTML files which were not created with Album Maker and to delete album registrations that are no longer needed.
    • New
      Clicking here allows you to create a new home page. The Design settings screen of the Home page-New dialog box appears.
    • Edit
      After selecting a home page from the Home page list, clicking here brings up the Design settings screen of the Home page-New dialog box, allowing you to modify the home page. You can also make other settings here, such as changing the dial-up target.
    • Delete
      After selecting a home page from the Home page list, clicking here allows you to delete the home page. A confirmation dialog box appears first.
    • Close
      Closes the dialog box and exits Home Page Maker.
    • Help
      Displays this on-line help.


Creating a Top Page

To create the first page (top page or entry page) of a site (home page), call up the Home Page Maker or Transfer the album dialog box and click New. The Home page-New dialog box appears. Use Design settings to make the desired settings.

  • Design template List
    Click ¥ and select a top page style from the list.
  • Detail Settings button
    The Detail Settings dialog box appears, allowing you to make detail settings for the top page style.
  • Title Text Box
    Enter a name for the home page.
  • Top page name Text Box
    Enter a file name (extension HTM or HTML) for the top page.
  • Help
    Displays this on-line help.
  • Click Next.
    The server settings dialog box appears.
  • Cancel
    Aborts the setting and closes the dialog box.


Setting Design Details

To set style details of the top page, go to the Home page dialog box and the Design settings screen and click [image]. The Detail Settings dialog box appears. (In the example shown below, the style Gallery was selected for the top page.)

  • Title Image Text Box
    Enter the name of the image file to be displayed on the top page. You can also click Browse and select a file in the dialog box that appears. Then click OK.
  • Comment Text Box
    Enter the comment (text) to be shown on the top page.
  • Color List
    Click ¥ and select a color scheme for the top page from the list.
  • OK
    Updates the setting and closes the dialog box.
  • Cancel
    Aborts the setting and closes the dialog box.


Making Server Settings

To make server settings, click Next on the Design settings screen. The Server settings screen appears.

  • FTP Server Text Box
    Enter the name of the server to which where the created home page should be sent.
    If you are logging onto the server with the "Anonymous" setting, place a check mark in the Anonymous FTP box.
  • FTP user name Text Box
    Enter the user name with which you connect to the server.
  • Password Text Box
    Enter the password as required. If you are logging onto the server with the "Anonymous" setting, enter your mail address here.
    The password is shown as is, without blanking. If you wish to store the password, so that you do not need to input it again when logging onto the server, place a check mark in the Save password box.
  • Home page capacity Text Box
    Enter the total upper size limit (in KB) for files that can be stored on the host server.
    When attempting to upload an album that would cause the limit to be exceeded, a warning dialog box will appear.
    If there is a check next to the Check the capacity at transferring check box, a warning dialog box appears.
  • Home page address when finding by browser Text Box
    Enter the browser access target.
  • Back
    Return to the Dsign settings screen.
  • Next
    Display the Connect/Transfer settings screen.
  • Cancel
    The setting is aborted and the screen closes.
  • Help
    Displays this on-line help.


Making Upload Settings

To make upload settings, click Next on the Server settings screen. The Connect/Transfer settings screen appears.

  • Dialup settings Group Box
    Set the following items to use a dial-up connection.
    • Dialup automatically dialup at running transfer Check Box
      To use a dial-up connection, place a check mark in this box by clicking it.
    • Disconnect automatically after ran. Check Box
      When this is checked, the dial-up connection automatically terminates after the home page has been sent to the server.
    • Dialup Destination List
      Click ¥ and select a dial-up connection target from the list.

      Note

      The list only contains entries when dial-up networking has been set up in Windows. For details, please refer to the Windows help. Your system administrator or Internet Service Provider may also provide assistance.
  • Use proxy Check Box
    When using an FTP proxy, place a check mark in this box by clicking it.
    Enter the FTP proxy name in the text box at the right.
  • Initial folder at connection
    Enter the absolute path or relative path to the directory where the sent file is to be placed. You can also click Browse... and select a directory from the Open dialog box.
  • Back
    Return to the Server settings screen.
  • Finish
    The Transfer the album dialog box appears.
  • Cancel
    Aborts the setting and closes the screen.
  • Help
    Displays this on-line help.


Uploading

To upload a created HTML album, you can either click Send in the PictureGear Album Maker dialog box of PictureGear to call up the Transfer the album dialog box, or you can click Add and Delete the album in Home Page Maker to call up the Add and Delete the album dialog box.

  1. Select the home page to which the album should be added (uploaded).
    • If the home page is included in the Home Page list, select the upload target by clicking on the home page in the list.
    • If no home page has been registered,
      the Home page dialog box appears.
  2. Click OK.
    The Transfer the album dialog box for sending a created HTML album appears.

  3. If necessary, modify the design, and verify any changes.
    • Confirm
      Clicking on an HTML album causes that album to be displayed in the browser.
    • Change
      Clicking here brings up the Details Settings dialog box, allowing you to modify the HTML album design.
  4. To delete an album from the home page, select the album by clicking on it in the Album list of home page, and then click Delete.
    A confirmation dialog box appears. Click [OK] to delete the selected album.
  5. Click Transfer.
    The HTML album is uploaded to the selected host, and the Completed transferring the album dialog box appears.
  6. To send E-mail notification on upload of home page, click [Mail].
    The Notify by E-Mail dialog box appears.

    Select an E-mail program from the Mailer list, and enter the title of the E-mail notification in the Subject text box, the E-mail program will start at the end of the upload and send an E-mail as notification of the upload.
  7. Click Completed.
    The dialog box closes, and the upload is complete.

Note

When the capacity for the home page is exceeded, select one or more unneeded albums from the the Album list of home page and click Delete.
The selected album is deleted from the server.


Adding an Album

To add an HTML album to an existing home page, proceed as follows.
  1. In the Home Page Maker dialog box, click on the home page to which the HTML album is to be added (uploaded).
  2. Click Add and Delete the album.
    The Add the album. dialog box appears.

    Hint

    By selecting one or more albums from the Album list of home page and clicking Delete, you can delete the selected album(s) from the Home Page Maker registration.
  3. Click OK.
    The Add the album dialog box appears.

  4. In the Registered list, select the HTML album to be uploaded by clicking on it.

    Hint

    You can preview the HTML album by selecting it and then clicking Confirm.
  5. Click OK.
    The dialog box closes, and the screen reverts to the Add the album dialog box. The Album list of home page shows the selected HTML album.
  6. If necessary, modify the design, and verify any changes.
    Select the desired HTML album by clicking on it in the Album list of home page list, and click one of the buttons below.
    • Confirm
      The created home page (top page) is displayed in the browser, allowing you to check its appearance.
    • Change
      Clicking here brings up the Details Settings dialog box, allowing you to change the HTML album design.
  7. Click Transfer.
    The HTML album is added to the selected home page by uploading it.


Deleting an Album

To delete an HTML album from an existing home page, proceed as follows.
  1. In the [Home Page Maker] dialog box, click on the home page from which the HTML album is to be deleted.
  2. Click Add and Delete the album...
    The Add and Delete the album... dialog box appears.

  3. Select the album from the the Album list of home page by clicking on it, and click Delete.
    A confirmation dialog box appears.
  4. Click OK.
    The dialog box closes, and the screen reverts to the Add the album dialog box. The deleted HTML album will no longer be included in the Album list of home page.
  5. If necessary, modify the design, and verify any changes.
    Select the desired HTML album by clicking on it in the Album list of home page, and click one the buttons below.
    • Confirm
      The created home page (top page) is displayed in the browser, allowing you to check its appearance.
    • Change
      Clicking here brings up Details Settings dialog box the Details Settings dialog box, allowing you to change the HTML album design.
  6. Click Transfer.
    The selected HTML album is deleted.


Backing Up a Home Page

You can create a backup of a home page uploaded to a host by copying it to the hard disk of your computer.
From the Album Management dialog box, proceed as follows.
  1. Click Backup and Restore...
    The Backup & Restore dialog box appears.

    Hint

    The History box shows the backup history of the selected home page.
  2. Select Backup the home page by clicking on it.
  3. Click Run.
    The Backup dialog box appears, and the download of the home page file begins. When the download is completed, a dialog box appears.
  4. Click OK.
    The dialog box closes, and the backup procedure is complete.

To restore a backup

To restore a home page by re-uploading the backup to the host, proceed as follows from the Album Management dialog box.
  1. Click Backup and Restore...
    The Backup and Restore... dialog box appears.
  2. Select Restore the backup home page by clicking on it.
  3. Click Run.
    The Restore dialog box appears and the upload of the home page file begins. When the upload is completed, a dialog box appears.
  4. Click OK.
    The dialog box closes, and the restore procedure is complete.


Managing Albums

The steps described here allow you to register HTML files not created with Album Maker as albums for Home Page Maker, and to delete the registration of albums that are no longer needed.

Hint

Albums created and stored with Album Maker are automatically registered in Home Page Maker.

Note

To register a file as an album, all links contained in the file whose name is entered in the HTML file text box must exist on the same level or below it in the folder hierarchy.
  1. In the Home Page Maker dialog box, click Album Management...
    The Album Management... dialog box appears.

  2. Perform the desired action.
    • To register a new album
      Click New. The new Registration dialog box appears. In the HTML file text box, enter the name of the HTML file (extension .HTM or .HTML). In the Album Title text box, enter the album title and then click Run.
    • To delete an album
      Select the album by clicking on it in the Registered list. Then click Delete. In the dialog box that appears, click OK.

    Hint

    When you select an album from the Registered list and then click Properties, the file size, last modification date, registered home page and other information is shown. Clicking on confirm brings up the page in the browser for verificiation.
  3. Click Cancel or [image] the Close button.
    The Album Management dialog box closes.